Bug 2098884 - F37FailsToInstall: python3-devtools
Summary: F37FailsToInstall: python3-devtools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-devtools
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F37FailsToInstall PYTHON3.11
TreeView+ depends on / blocked
 
Reported: 2022-06-20 09:35 UTC by Miro Hrončok
Modified: 2022-09-14 00:20 UTC (History)
2 users (show)

Fixed In Version: python-devtools-0.9.0-1.fc38 python-devtools-0.9.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-14 00:20:52 UTC
Type: ---
mhroncok: needinfo-


Attachments (Terms of Use)

Description Miro Hrončok 2022-06-20 09:35:40 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-devtools) Fails To Install in Fedora 37:

can't install python3-devtools:
  - nothing provides python(abi) = 3.10 needed by python3-devtools-0.6-4.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-37-x86_64 --disablerepo='*' --enablerepo=local install python3-devtools


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-06-20 10:07:09 UTC
This bugzilla is likely a fallout from the Python 3.11 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.11 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.11, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

If this is not Python 3.11 related, please remove the PYTHON3.11 blocking tracker.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2022-06-27 14:57:32 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Miro Hrončok 2022-07-18 22:29:14 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Ben Cotton 2022-08-09 13:18:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Miro Hrončok 2022-08-17 11:52:11 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/python-devtools by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 6 Fedora Update System 2022-09-07 20:36:17 UTC
FEDORA-2022-ea475744f5 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ea475744f5

Comment 7 Fedora Update System 2022-09-07 20:39:11 UTC
FEDORA-2022-ea475744f5 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Miro Hrončok 2022-09-08 11:30:28 UTC
Reopening for F37.

Comment 10 Fedora Update System 2022-09-08 13:27:20 UTC
FEDORA-2022-85801b5253 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-85801b5253

Comment 11 Miro Hrončok 2022-09-08 13:28:27 UTC
I've set that update to close this bug when it goes stable. Please don't close this bugzilla until that happens, otherwise the automation will open another one.

Comment 12 Jonathan Wright 2022-09-08 14:38:14 UTC
Thanks.  Did you do this by adding this BZ in bodhi?

Comment 13 Miro Hrončok 2022-09-08 15:06:45 UTC
(In reply to Jonathan Wright from comment #12)
> Thanks.  Did you do this by adding this BZ in bodhi?

Exactly.

Comment 14 Jonathan Wright 2022-09-08 15:10:28 UTC
Thanks, now I know :)

Comment 15 Fedora Update System 2022-09-14 00:20:52 UTC
FEDORA-2022-85801b5253 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.